> ## Documentation Index
> Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Outlook calendar event as the calling member

> Creates an event in the calling member's default calendar. Adding attendees can send Microsoft calendar invitations.



## OpenAPI

````yaml /openapi.json post /v1/capabilities/microsoft-365/calendar-events
openapi: 3.1.0
info:
  title: Den API
  description: >-
    OpenAPI spec for the Den control plane API.


    Authentication:

    - Use `Authorization: Bearer <session-token>` for user-authenticated routes
    that require a Den session.

    - Use `x-api-key: <den-api-key>` for API-key-authenticated routes that
    accept organization API keys.

    - Public routes like health and documentation do not require authentication.


    Swagger tip: use the security schemes in the Authorize dialog to set either
    `bearerAuth` or `denApiKey` before trying protected endpoints.
  version: dev
servers: []
security: []
tags:
  - name: System
    description: Service health and operational routes.
  - name: Organizations
    description: Top-level organization creation and context routes.
  - name: Invitations
    description: Invitation preview, acceptance, creation, and cancellation routes.
  - name: API Keys
    description: Organization API key management routes.
  - name: SCIM
    description: Organization SCIM connector management routes.
  - name: SSO
    description: Organization single sign-on connector management routes.
  - name: Members
    description: Organization member management routes.
  - name: Roles
    description: Organization custom role management routes.
  - name: Teams
    description: Organization team management routes.
  - name: Templates
    description: Organization shared template routes.
  - name: LLM Providers
    description: Organization LLM provider catalog, configuration, and access routes.
  - name: Skills
    description: Organization skill authoring and sharing routes.
  - name: Skill Hubs
    description: Organization skill hub management and access routes.
  - name: Workers
    description: Worker lifecycle, billing, and runtime routes.
  - name: Worker Runtime
    description: Worker runtime inspection and upgrade routes.
  - name: Worker Activity
    description: Worker heartbeat and activity reporting routes.
  - name: Telemetry
    description: Telemetry event ingestion and adoption analytics.
  - name: Admin
    description: Administrative reporting routes.
  - name: Users
    description: Current user and membership routes.
  - name: Bootstrap
    description: Agent-first provisional workspace setup routes.
paths:
  /v1/capabilities/microsoft-365/calendar-events:
    post:
      tags:
        - Capability Sources
      summary: Create an Outlook calendar event as the calling member
      description: >-
        Creates an event in the calling member's default calendar. Adding
        attendees can send Microsoft calendar invitations.
      operationId: postV1CapabilitiesMicrosoft365CalendarEvents
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Microsoft365CalendarEventBody'
      responses:
        '200':
          description: Outlook calendar event created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft365CalendarEventResponse'
        '401':
          description: The caller must be signed in.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '409':
          description: >-
            The calling member has not connected their Microsoft account or is
            missing permission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft365NeedsConnectionError'
        '502':
          description: Microsoft Graph rejected the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft365GraphError'
components:
  schemas:
    Microsoft365CalendarEventBody:
      type: object
      properties:
        subject:
          type: string
          minLength: 1
          maxLength: 255
        body:
          type: string
          maxLength: 20000
        start:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        end:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        timeZone:
          default: UTC
          type: string
          minLength: 1
          maxLength: 100
        location:
          type: string
          maxLength: 255
        attendees:
          maxItems: 100
          type: array
          items:
            type: string
            format: email
            pattern: >-
              ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
      required:
        - subject
        - start
        - end
    Microsoft365CalendarEventResponse:
      type: object
      properties:
        ok:
          type: boolean
          const: true
        event:
          $ref: '#/components/schemas/Microsoft365CalendarEvent'
      required:
        - ok
        - event
    UnauthorizedError:
      type: object
      properties:
        error:
          type: string
          const: unauthorized
      required:
        - error
    Microsoft365NeedsConnectionError:
      type: object
      properties:
        error:
          type: string
          const: needs_connection
        message:
          type: string
      required:
        - error
        - message
    Microsoft365GraphError:
      type: object
      properties:
        error:
          type: string
          const: microsoft_graph_error
        message:
          type: string
      required:
        - error
        - message
    Microsoft365CalendarEvent:
      type: object
      properties:
        id:
          type: string
        subject:
          type: string
        preview:
          type: string
        start:
          type: string
        startTimeZone:
          type: string
        end:
          type: string
        endTimeZone:
          type: string
        isAllDay:
          type: boolean
        location:
          type: string
        organizer:
          anyOf:
            - $ref: '#/components/schemas/Microsoft365EmailAddress'
            - type: 'null'
        attendees:
          type: array
          items:
            $ref: '#/components/schemas/Microsoft365EmailAddress'
        webLink:
          type: string
        onlineMeetingUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - subject
        - preview
        - start
        - startTimeZone
        - end
        - endTimeZone
        - isAllDay
        - location
        - organizer
        - attendees
        - webLink
        - onlineMeetingUrl
    Microsoft365EmailAddress:
      type: object
      properties:
        name:
          type: string
        address:
          type: string
      required:
        - name
        - address

````